#include <bits/stdc++.h>
using namespace std;

int main(){
ios::sync_with_stdio(false);cin.tie(0);cout.tie(0);
short t; cin >> t;
for ( int i = 0; i < t; i++ ){
    long long n, m, k; cin >> n >> m >> k;
    long long x = n*n - (((n - k)*( n - k + 1))/2);
    long long y = k - 1 + ( ( n - k + 1 ) * ( n - k + 2 ) )/2;
    if( (m >= x) || ( m >= y ) ){
            cout << "Tak";
    }
    else{
            cout << "Nie";
    }
    cout << endl;
}
return 0;
}